## AgsFrequencyMapManager

AgsFrequencyMapManager — frequency map manager

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FREQUENCY_MAP_MANAGER_GET_OBJ_MUTEX()
gboolean | ags_frequency_map_manager_test_flags ()
void | ags_frequency_map_manager_set_flags ()
void | ags_frequency_map_manager_unset_flags ()
void | ags_frequency_map_manager_add_frequency_map ()
void | ags_frequency_map_manager_add_factorized_frequency_map ()
AgsFrequencyMap * | ags_frequency_map_manager_find_frequency_map ()
AgsFrequencyMap * | ags_frequency_map_manager_find_factorized_frequency_map ()
void | ags_frequency_map_manager_load_default ()
AgsFrequencyMapManager * | ags_frequency_map_manager_get_instance ()
AgsFrequencyMapManager * | ags_frequency_map_manager_new ()

## Types and Values

#define | AGS_FREQUENCY_MAP_MANAGER_EQUINOX
enum | AgsFrequencyMapManagerFlags

## Object Hierarchy

        GObject
        ╰── AgsFrequencyMapManager

## Includes

    #include <ags/audio/ags_frequency_map_manager.h>

## Description

AgsFrequencyMapManager is a singleton that organizes your frequency maps.

## Functions

### AGS_FREQUENCY_MAP_MANAGER_GET_OBJ_MUTEX()

    #define AGS_FREQUENCY_MAP_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsFrequencyMapManager *) obj)->obj_mutex))

### ags_frequency_map_manager_test_flags ()

    gboolean
    ags_frequency_map_manager_test_flags (AgsFrequencyMapManager *frequency_map_manager,
                                          AgsFrequencyMapManagerFlags flags);

Test `flags` to be set on `recall` .

#### Parameters

frequency_map_manager | the AgsFrequencyMapManager |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_frequency_map_manager_set_flags ()

    void
    ags_frequency_map_manager_set_flags (AgsFrequencyMapManager *frequency_map_manager,
                                         AgsFrequencyMapManagerFlags flags);

Set flags.

#### Parameters

frequency_map_manager | the AgsFrequencyMapManager |
flags | the flags |

Since: 3.0.0

### ags_frequency_map_manager_unset_flags ()

    void
    ags_frequency_map_manager_unset_flags (AgsFrequencyMapManager *frequency_map_manager,
                                           AgsFrequencyMapManagerFlags flags);

Unset flags.

#### Parameters

frequency_map_manager | the AgsFrequencyMapManager |
flags | the flags |

Since: 3.0.0

### ags_frequency_map_manager_add_frequency_map ()

    void
    ags_frequency_map_manager_add_frequency_map
                                   (AgsFrequencyMapManager *frequency_map_manager,
                                    AgsFrequencyMap *frequency_map);

Add `frequency_map` to `frequency_map_manager` .

#### Parameters

frequency_map_manager | the AgsFrequencyMapManager |
frequency_map | the AgsFrequencyMap |

Since: 3.0.0

### ags_frequency_map_manager_add_factorized_frequency_map ()

    void
    ags_frequency_map_manager_add_factorized_frequency_map
                                   (AgsFrequencyMapManager *frequency_map_manager,
                                    AgsFrequencyMap *frequency_map);

Add `frequency_map` to `frequency_map_manager` .

#### Parameters

frequency_map_manager | the AgsFrequencyMapManager |
frequency_map | the AgsFrequencyMap |

Since: 3.0.0

### ags_frequency_map_manager_find_frequency_map ()

    AgsFrequencyMap *
    ags_frequency_map_manager_find_frequency_map
                                   (AgsFrequencyMapManager *frequency_map_manager,
                                    guint samplerate,
                                    guint buffer_size,
                                    gdouble freq);

Find AgsFrequencyMap by `samplerate` , `buffer_size` and `freq` .

#### Parameters

frequency_map_manager | the AgsFrequencyMapManager |
samplerate | the samplerate to match |
buffer_size | the buffer size to match |
freq | the frequency to match |

#### Returns

the matching AgsFrequencyMap if found, otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_frequency_map_manager_find_factorized_frequency_map ()

    AgsFrequencyMap *
    ags_frequency_map_manager_find_factorized_frequency_map
                                   (AgsFrequencyMapManager *frequency_map_manager,
                                    guint samplerate,
                                    guint buffer_size);

Find AgsFrequencyMap by `samplerate` and `buffer_size` .

#### Parameters

frequency_map_manager | the AgsFrequencyMapManager |
samplerate | the samplerate to match |
buffer_size | the buffer size to match |

#### Returns

the matching AgsFrequencyMap if found, otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_frequency_map_manager_load_default ()

    void
    ags_frequency_map_manager_load_default
                                   (AgsFrequencyMapManager *frequency_map_manager);

Load default AgsFrequencyMap.

#### Parameters

frequency_map_manager | the AgsFrequencyMapManager |

Since: 3.0.0

### ags_frequency_map_manager_get_instance ()

    AgsFrequencyMapManager *
    ags_frequency_map_manager_get_instance
                                   ();

Get instance.

#### Returns

the AgsFrequencyMapManager.

[transfer none]

Since: 3.0.0

### ags_frequency_map_manager_new ()

    AgsFrequencyMapManager *
    ags_frequency_map_manager_new ();

Create a new instance of AgsFrequencyMapManager

#### Returns

the new AgsFrequencyMapManager

Since: 3.0.0

## Types and Values

### AGS_FREQUENCY_MAP_MANAGER_EQUINOX

    #define AGS_FREQUENCY_MAP_MANAGER_EQUINOX (22000)

### enum AgsFrequencyMapManagerFlags

Enum values to control the behavior or indicate internal state of AgsFrequencyMapManager by enable/disable as flags.

#### Members

AGS_FREQUENCY_MAP_MANAGER_PRESERVE_FREQUENCY_MAP | if set preserve frequency maps, otherwise destroy |